> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/esp/documentacion-de-la-api/cargar-archivos-con-la-api-de-geopard.md).

# Cargar archivos con la API de GeoPard

{% hint style="success" %}
El enfoque recomendado para archivos de más de 6 MB es el [flujo de URL prefirmada](/geopard-tutorials/esp/documentacion-de-la-api/resumen-de-solicitudes-de-la-api-de-geopard/55.-cargar-archivos-zip-mas-de-6-mb.md).
{% endhint %}

La API de GeoPard permite cargar archivos ZIP con conjuntos de datos de suelo/rendimiento/aplicados/límites para su posterior procesamiento y análisis.

{% hint style="danger" %}
Debido a una limitación de AWS, el tamaño máximo de archivo que puede cargar a través de este endpoint REST es de 6 MB.
{% endhint %}

Los pasos de carga para archivos de más de 6 MB se describen en [Cargar archivos ZIP (más de 6 MB)](/geopard-tutorials/esp/documentacion-de-la-api/resumen-de-solicitudes-de-la-api-de-geopard/55.-cargar-archivos-zip-mas-de-6-mb.md).

Justo después de la carga exitosa del conjunto de datos de suelo/rendimiento/aplicados, el motor de GeoPard lo vincula con los campos relacionados ubicados dentro de la finca definida.

Justo después de la carga exitosa del límite, el motor de GeoPard inicia su procesamiento.

La respuesta contiene un `<uuid>` que puede usar para seguir el estado del procesamiento.

#### Ejemplo de solicitud:

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST 'https://api.geopard.tech/upload?fileType=<type>&farmUuid=<farm_uuid>' \
--header 'Authorization: <token>' \
--header 'Content-Type: application/zip' \
--data-binary '@path/to/file.zip'
```

{% endcode %}

Los parámetros son:

1. `<type>` - tipo del conjunto de datos cargado. Debe ser un `rendimiento` O `suelo` O `aplicados` O `límite`.
2. `<farm_uuid>` - el `uuid` de la finca donde se cargará el archivo (opcional).
3. `<token>` - token de acceso de GeoPard.
4. `@path/to/file.zip` - la ruta al archivo que se está cargando.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/esp/documentacion-de-la-api/cargar-archivos-con-la-api-de-geopard.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
